### Function

# Gimp brush_new

#### Declaration [src]

    gchar*
    gimp_brush_new (
      const gchar* name
    )

#### Description [src]

Creates a new brush.

This procedure creates a new, uninitialized brush.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The requested name of the new brush.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| The actual new brush name. The returned value must be freed with g_free().
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.